The Form Responses service returns a listing of all responses filtered down by parameters. Although there are no required parameters it is highly recommended to use the optional parameters due to timeout issues.
Service Name
form_responses
Required Parameters
None
Optional Parameters
| Name | Type |
|---|---|
| form_id | integer |
| individual_id | integer |
| modified_since | datetime |
| page | int |
| per_page | int |
Example Curl
curl -u user:pass "https://yourchurch.ccbchurch.com/api.php?srv=form_responses&form_id=267"Example Response XML
<?xml version="1.0" encoding="UTF-8"?>
ccb_api>
<request>
<parameters>
<argument value="form_responses" name="srv"/>
<argument value="267" name="form_id"/>
</parameters>
</request>
<response>
<service>form_responses</service>
<service_action>execute</service_action>
<availability>public</availability>
<form_responses count="2">
<form_response id="1049">
<form id="267"/>
<individual id="2413">Larry Boy</individual>
<amount_due>$9.60</amount_due>
<confirmation_code>53358774</confirmation_code>
<creator id="0">System User</creator>
<modifier id="2413">Larry Boy</modifier>
<created>2014-10-15 07:50:15</created>
<modified>2014-10-15 07:50:16</modified>
<profile_fields>
<profile_info id="914" name="birthday">3/31/1976</profile_info>
<profile_info id="909" name="email_primary">[email protected]</profile_info>
<profile_info id="915" name="gender">f</profile_info>
<profile_info id="908" name="mailing_city">Colorado Springs</profile_info>
<profile_info id="908" name="mailing_state">CO</profile_info>
<profile_info id="908" name="mailing_street">3319 Queen Anne Way</profile_info>
<profile_info id="908" name="mailing_zip">00501</profile_info>
<profile_info id="916" name="marital_status">m</profile_info>
<profile_info id="906" name="name_first">Larry</profile_info>
<profile_info id="907" name="name_last">Boy</profile_info>
<profile_info id="912" name="phone_home">(555) 339-1234</profile_info>
<profile_info id="911" name="phone_mobile">(555) 123-4523</profile_info>
<profile_info id="913" name="phone_work">(555) 266-1234</profile_info>
</profile_fields>
<answers>
<title>File Upload</title>
<answer_value>438</answer_value>
<choice id="0"></choice>
<option id="0"></option>
<title>Paragraph Text</title>
<answer_value>A longer answer that can go for more than a single line of text. Here is the answer to this particular question.</answer_value>
<choice id="0"></choice>
<option id="0"></option>
<title>Single Line Text</title>
<answer_value>A single line of text</answer_value>
<choice id="0"></choice>
<option id="0"></option>
<title>Checkboxes</title>
<answer_value></answer_value>
<choice id="1014">Yes</choice>
<option id="0"></option>
<title>Pulldown Menu</title>
<answer_value></answer_value>
<choice id="1018">No</choice>
<option id="0"></option>
<title>Radio Buttons</title>
<answer_value></answer_value>
<choice id="1022">I don't know</choice>
<option id="0"></option>
<title>Scale</title>
<answer_value></answer_value>
<choice id="1023">The ocean</choice>
<option id="1029">Good</option>
<title>Scale</title>
<answer_value></answer_value>
<choice id="1024">The mountains</choice>
<option id="1028">Fair</option>
<title>Scale</title>
<answer_value></answer_value>
<choice id="1025">The desert</choice>
<option id="1027">Poor</option>
<title>Prioritize</title>
<answer_value>3</answer_value>
<choice id="1032">Option 2</choice>
<option id="0"></option>
<title>Prioritize</title>
<answer_value>1</answer_value>
<choice id="1034">Option 4</choice>
<option id="0"></option>
<title>Prioritize</title>
<answer_value>2</answer_value>
<choice id="1033">Option 3</choice>
<option id="0"></option>
<title>Number</title>
<answer_value>4</answer_value>
<choice id="0"></choice>
<option id="0"></option>
<title>Date</title>
<answer_value>10/25/2014</answer_value>
<choice id="0"></choice>
<option id="0"></option>
<title>Product/Ticket</title>
<answer_value>3</answer_value>
<choice id="1036">Item 1</choice>
<option id="0"></option>
<title>Product/Ticket</title>
<answer_value>2</answer_value>
<choice id="1037">Item 2</choice>
<option id="0"></option>
<title>Donation Amount</title>
<answer_value>5</answer_value>
<choice id="1039">General</choice>
<option id="0"></option>
</answers>
<payment_info id="1049">
<payer id="2413">Larry Boy</payer>
<transaction_id>0</transaction_id>
<first_name>Larry</first_name>
<last_name>Boy</last_name>
<street_address>123 Main Way</street_address>
<city>Colorado Springs</city>
<state>CO</state>
<postal_code>00501</postal_code>
<email>[email protected]</email>
<phone>+15556469982</phone>
<discount_code>
<code>PERCENTOFF</code>
<discount_type>percentage</discount_type>
<discount>20</discount>
</discount_code>
<amount>$9.60</amount>
<status>Unpaid</status>
<creator id="2413">Larry Boy</creator>
<modifier id="2413">Larry Boy</modifier>
<created>2014-10-15 07:50:15</created>
<modified>2014-10-15 07:50:16</modified>
<payment_method/>
<payment_details>
<payment_details id="2831">
<amount>$3.00</amount>
<coa id="46" tax_deductible="true">General
</coa>
</payment_details>
<payment_details id="2832">
<amount>$2.00</amount>
<coa id="31" tax_deductible="false">Retreat Scolarships
</coa>
</payment_details>
<payment_details id="2833">
<amount>$5.00</amount>
<coa id="46" tax_deductible="true">General
</coa>
</payment_details>
<payment_details id="2834">
<amount>($0.40)</amount>
<coa id="31" tax_deductible="false">Retreat Scolarships
</coa>
</payment_details>
</payment_details>
<merchant_info/>
</payment_info>
</form_response>
<form_response id="1050">
<form id="267"/>
<amount_due>$2.00</amount_due>
<confirmation_code>94430141</confirmation_code>
<creator id="0">System User</creator>
<modifier id="2413">Larry Boy</modifier>
<created>2014-10-15 09:27:40</created>
<modified>2014-10-15 09:34:13</modified>
<profile_fields>
<profile_info id="914" name="birthday">9/30/1965</profile_info>
<profile_info id="909" name="email_primary">[email protected]</profile_info>
<profile_info id="915" name="gender">f</profile_info>
<profile_info id="908" name="mailing_city">Colorado Springs</profile_info>
<profile_info id="908" name="mailing_state">CO</profile_info>
<profile_info id="908" name="mailing_street">2325 Main Dr</profile_info>
<profile_info id="908" name="mailing_zip">80911</profile_info>
<profile_info id="916" name="marital_status">m</profile_info>
<profile_info id="906" name="name_first">Bob</profile_info>
<profile_info id="907" name="name_last">Fletcher</profile_info>
<profile_info id="912" name="phone_home">(555) 345-6789</profile_info>
<profile_info id="911" name="phone_mobile">(555) 345-6789</profile_info>
<profile_info id="913" name="phone_work">(555) 345-6789</profile_info>
</profile_fields>
<answers>
<title>File Upload</title>
<answer_value>439</answer_value>
<choice id="0"></choice>
<option id="0"></option>
<title>Single Line Text</title>
<answer_value>okay</answer_value>
<choice id="0"></choice>
<option id="0"></option>
<title>Paragraph Text</title>
<answer_value>okay</answer_value>
<choice id="0"></choice>
<option id="0"></option>
<title>Checkboxes</title>
<answer_value></answer_value>
<choice id="1016">I don't know</choice>
<option id="0"></option>
<title>Pulldown Menu</title>
<answer_value></answer_value>
<choice id="1019">I don't know</choice>
<option id="0"></option>
<title>Radio Buttons</title>
<answer_value></answer_value>
<choice id="1022">I don't know</choice>
<option id="0"></option>
<title>Scale</title>
<answer_value></answer_value>
<choice id="1024">The mountains</choice>
<option id="1029">Good</option>
<title>Scale</title>
<answer_value></answer_value>
<choice id="1025">The desert</choice>
<option id="1029">Good</option>
<title>Scale</title>
<answer_value></answer_value>
<choice id="1023">The ocean</choice>
<option id="1029">Good</option>
<title>Prioritize</title>
<answer_value>1</answer_value>
<choice id="1032">Option 2</choice>
<option id="0"></option>
<title>Number</title>
<answer_value>3</answer_value>
<choice id="0"></choice>
<option id="0"></option>
<title>Date</title>
<answer_value>10/18/2014</answer_value>
<choice id="0"></choice>
<option id="0"></option>
<title>Product/Ticket</title>
<answer_value>1</answer_value>
<choice id="1036">Item 1</choice>
<option id="0"></option>
<title>Donation Amount</title>
<answer_value>1</answer_value>
<choice id="1041">Retreat Scolarships</choice>
<option id="0"></option>
</answers>
<payment_info id="1050">
<payer id="3374">Bob Fletcher</payer>
<transaction_id>0</transaction_id>
<first_name>Bob</first_name>
<last_name>Fletcher</last_name>
<street_address>2325 Main Dr</street_address>
<city>Colorado Springs</city>
<state>CO</state>
<postal_code>80911</postal_code>
<email>[email protected]</email>
<phone>5553456789</phone>
<discount_code/>
<amount>$2.00</amount>
<status>Unpaid</status>
<creator id="0">System User</creator>
<modifier id="2413">Larry Boy</modifier>
<created>2014-10-15 09:27:40</created>
<modified>2014-10-15 09:34:13</modified>
<payment_method/>
<payment_details>
<payment_details id="2835">
<amount>$1.00</amount>
<coa id="46" tax_deductible="true">General
</coa>
</payment_details>
<payment_details id="2836">
<amount>$1.00</amount>
<coa id="31" tax_deductible="false">Retreat Scolarships
</coa>
</payment_details>
</payment_details>
<merchant_info/>
</payment_info>
</form_response>
</form_responses>
</response>
</ccb_api>